#
# spec file for package libusb (Version 0.1.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libusb
BuildRequires:  gcc-c++
URL:            http://libusb.sourceforge.net/
License:        LGPL
Group:          System/Libraries
Summary:        USB Libraries
Version:        0.1.12
Release:        9.2
Source0:        libusb-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libusb is a library that allows userspace access to USB devices.



Authors:
--------
    Johannes Erdfelt <johannes@erdfelt.com>
    Thomas Sailer <sailer@ife.ee.ethz.ch>
    Brad Hards <bradh@frogmouth.net> - C++ bindings.

%debug_package
%prep
%setup -q

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -Wall -DNDEBUG" \
CXXFLAGS="$RPM_OPT_FLAGS -Wall -DNDEBUG" \
./configure	\
	--prefix=%{_prefix}			\
	--libdir=%{_libdir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/libusb-config
/usr/include/*.h
%{_libdir}/libusb*.so*
%{_libdir}/libusb*.a
%{_libdir}/libusb*.la
%{_libdir}/pkgconfig/libusb.pc

%changelog -n libusb
* Sun Mar 05 2006 - olh@suse.de
- update to 0.1.12
  endian fixes, memory leaks fixed
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 - olh@suse.de
- update to 0.1.11
  pkgconfig support
  Workaround regression in 0.1.10 with multi-threaded applications
* Fri Dec 09 2005 - olh@suse.de
- remove resmgr patch
* Wed Nov 16 2005 - lnussel@suse.de
- prefer /dev/bus/usb over /proc/bus/usb
- disable resmgr patch, not needed for /dev/bus/usb anymore
* Wed Aug 10 2005 - olh@suse.de
- add patch from Kay Sievers to look also into /dev/bus/usb
* Tue May 31 2005 - olh@suse.de
- add libusb-libusb_la-dep.patch to allow make -j
* Fri May 27 2005 - olh@suse.de
- update to 0.1.10a
* Thu May 26 2005 - olh@suse.de
- fix compile warnings
- build as user
- split our resmgr patch
* Sat Mar 19 2005 - meissner@suse.de
- fixed a filedescriptor leak. #73967
* Sat Feb 21 2004 - meissner@suse.de
- upgraded to 0.1.8 final.
* Thu Feb 05 2004 - lnussel@suse.de
- add -lresmgr to output of libusb-config
* Mon Aug 25 2003 - adrian@suse.de
- do not provide usb anymore, it is not needed for an update
  and breaks rpm4 update concept
* Tue Jul 22 2003 - meissner@suse.de
- Upgraded to 0.1.8beta (finally supports USB interrupt
  tranfers).
- Forward ported resmgr patch.
* Wed May 14 2003 - meissner@suse.de
- added libusb.la.
* Wed Mar 05 2003 - meissner@suse.de
- the resmgr device finder part was adding all devices
  to all USB busses, leading to confusion later on. Check
  for correct busnumber.
* Mon Nov 18 2002 - schwab@suse.de
- Fix use of AC_DIVERT_PUSH.
* Mon Nov 11 2002 - okir@suse.de
- allow opening USB devices via the resource manager
* Tue Oct 15 2002 - freitag@suse.de
- updated to 0.1.6a stable release to support more scanners
* Thu Feb 07 2002 - meissner@suse.de
- updated to 0.1.5 stable release
* Mon Jan 21 2002 - meissner@suse.de
- updated to latest CVS snapshot, so I can build gphoto2.
- use buildroot
* Sat Nov 03 2001 - ro@suse.de
- call automake with "-a -f"
* Mon Sep 03 2001 - ro@suse.de
- removed Obsoletes and Provides usbutils (package reanimated)
* Fri May 25 2001 - adrian@suse.de
- update to libusb-0.1.3b
- rename package from usbutils to libusb
* Tue Dec 05 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu Nov 30 2000 - olaf@suse.de
- add usbutils 0.7 to SuSE dist, will replace the usb.rpm
